Creating a Sketch according to Datum coordinate system in Drawing

Hello Everyone,
I have written the below code:This first asks to select a drawing View..after the user selects the drawing view,it activates that particular drawing view to sketch on that view..Then I have used SelectScreenpoint() method,but using this method,I am not able to select points on that view and therefore not able to sketch on that view...I want the sketch according to the coordinate system of that view.

Code:

Option Strict Off
Imports System
Imports NXOpen
Imports NXOpen.Annotations
Imports NXOpen.UI
Imports NXOpen.UF
Imports NXOpen.Utilities
Imports NXOpenUI
Imports NXOpen.Features

Module NXJournal
Dim theSession As Session = Session.GetSession()
Dim workPart As Part = theSession.Parts.Work
Dim displayPart As Part = theSession.Parts.Display
Dim ufs As UFSession = UFSession.GetUFSession()

Sub Main(ByVal args() As String)

Dim ViewName As String = Nothing
ufs.ui.AskLastPickedView(ViewName)

Dim baseView1 As Drawings.BaseView = CType(workPart.DraftingViews.FindObject(ViewName), Drawings.BaseView)

baseView1.ActivateForSketching()

Dim sketchInDraftingBuilder1 As SketchInDraftingBuilder
sketchInDraftingBuilder1 = workPart.Sketches.CreateSketchInDraftingBuilder()

Dim selectView1 As SelectView
selectView1 = sketchInDraftingBuilder1.View

selectView1.Value = baseView1
Dim nXObject1 As NXObject
nXObject1 = sketchInDraftingBuilder1.Commit()

sketchInDraftingBuilder1.Destroy()

Dim sketch1 As Sketch = CType(nXObject1, Sketch)

sketch1.Activate(Sketch.ViewReorient.True)

Dim selectedPoint1(2) As Double
selectedPoint1 = SelectScreenPoint()
Dim Corner1 As New Point3d(selectedPoint1(0), selectedPoint1(1), selectedPoint1(2))
Dim Corner1X As String = FormatNumber(Corner1.X, 1).ToString()
Dim Corner1Y As String = FormatNumber(Corner1.Y, 1).ToString()
Dim Corner1Z As String = FormatNumber(Corner1.Z, 1).ToString()
MsgBox("X :" & Corner1X & " Y :" & Corner1Y & " Z :" & Corner1Z)
Dim selectedPoint2(2) As Double
selectedPoint2 = SelectScreenPoint()
Dim Corner2 As New Point3d(selectedPoint2(0), selectedPoint1(1), selectedPoint2(2))
Dim Corner2X As String = FormatNumber(Corner2.X, 1).ToString()
Dim Corner2Y As String = FormatNumber(Corner2.Y, 1).ToString()
Dim Corner2Z As String = FormatNumber(Corner2.Z, 1).ToString()
MsgBox("X :" & Corner2X & " Y :" & Corner2Y & " Z :" & Corner2Z)
'Drawing lines :
Dim line1 As Line
line1 = workPart.Curves.CreateLine(Corner1, Corner2)
theSession.ActiveSketch.AddGeometry(line1, Sketch.InferConstraintsOption.InferNoConstraints)
theSession.ActiveSketch.Update()

End Sub

Function SelectScreenPoint() As Double()

Dim myScreenPos(2) As Double
Dim theViewTag As Tag = theSession.Parts.Display.Views.WorkView.Tag
Dim theResponse As Integer

ufs.Ui.LockUgAccess(UFConstants.UF_UI_FROM_CUSTOM)

ufs.Ui.SpecifyScreenPosition("pick a point", Nothing, Nothing, myScreenPos, theViewTag, theResponse)

ufs.Ui.UnlockUgAccess(UFConstants.UF_UI_FROM_CUSTOM)

If theResponse = UFConstants.UF_UI_PICK_RESPONSE Then
Return myScreenPos
Else
Return Nothing
End If

End Function
End Module